Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class MailModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ManageFoldersModel, MessageViewModel, NewMessageModel, ReadMailModel, SearchModel, SearchResultsModel

public abstract class MailModel
extends AbstractModel
implements java.io.Serializable

This abstract class represents a base class for mail views.

See Also:
  Serialized Form

Field Summary
`static int` | `QUICK_VIEW_ALL`
`static int` | `QUICK_VIEW_HIGH_PRIORITY`
`static int` | `QUICK_VIEW_UNREAD`

Constructor Summary
`MailModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`FolderNavigation` | `getFolderNavigation()` Gets the folder navigation.
`java.lang.String` | `getInboxFolderID()` Gets the Inbox folder ID.
`MailPreferences` | `getMailPreferences()` Gets the mail preferences.
`void` | `setInboxFolderID(java.lang.String sInboxFolderID)` Sets the Inbox folder ID.

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUICK_VIEW_ALL

    public static final int QUICK_VIEW_ALL

See Also:
  Constant Field Values

### QUICK_VIEW_UNREAD

    public static final int QUICK_VIEW_UNREAD

See Also:
  Constant Field Values

### QUICK_VIEW_HIGH_PRIORITY

    public static final int QUICK_VIEW_HIGH_PRIORITY

See Also:
  Constant Field Values

Constructor Detail

### MailModel

    public MailModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                     FeatureGroup featureGroup,
                     GroupwarePreferences groupwarePrefs,
                     MailPreferences mailPrefs,
                     Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### getMailPreferences

    public MailPreferences getMailPreferences()

  Gets the mail preferences.

  Returns:
    the mail preferences

### setInboxFolderID

    public void setInboxFolderID(java.lang.String sInboxFolderID)

  Sets the Inbox folder ID.

  Parameters:
    `sInboxFolderID` - the Inbox folder ID (may not be `null`)

### getInboxFolderID

    public java.lang.String getInboxFolderID()

  Gets the Inbox folder ID.

  Returns:
    the Inbox folder ID

### getFolderNavigation

    public FolderNavigation getFolderNavigation()

  Gets the folder navigation.

  Returns:
    the folder navigation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.